Subject: bug#67926: 29.1; fail to extract ZIP subfile named with [...]

From: [email-masked]
Date: Thu, 28 Dec 2023 09:38:57 +0900

Eli Zaretskii <[email-masked]> writes:

>> If unzip.exe(or an alternative external program) is necessary,
>> I want emacs not to load contents of archive files into archive-mode
>> buffer. It is waste of time and memory.
>
> unzip is necessary to extract files, but not to display the archive's
> contents.

If users are expected to have unzip.exe, emacs can list subfiles without
examining archive contents as a binary file.
Users with unzip.exe don't care about whether subfiles are listed with
unzip.exe or not.

If users are not expected to have unzip.exe, they feel convenient if
subfiles are extracted without unzip.exe.
In this case, it is better archive-zip-extract's value as variable can
be a lisp function to be called in the archive-zip-extract function.